Description

I was looking for the Catchment Area tool in SAGA GIS, which I have used in QGIS Processing Toolbox, but I found that the names are

different. In SAGA GIS the name of the tool is "Flow Accumulation". It would be very useful if the names are standarized using the SAGA

GIS names. If people getting used to the QGIS Processing names are having problems, an alternative could be use something like "Flow

Accumulation (Catchment Area).

History

#1 - 2017-08-21 05:32 PM - Giovanni Manghi

- Status changed from Open to Feedback

- File Screenshot_20170821_163153.png added

you are probably using an old version of Processing? See attached image, the name is catchment area. Please also note that now the only SAGA version

supported is LTR, so 2.3.*.

#2 - 2017-08-22 02:53 AM - Mario Reyes

- File flow accumulation.PNG added

- File catchment area.png added

Giovanni Manghi wrote:

you are probably using an old version of Processing? See attached image, the name is catchment area. Please also note that now the only SAGA

version supported is LTR, so 2.3.*.

Sorry, I forgot to mention I'm using QGIS 2.18.11 with SAGA 2.3.2. I installed it using the Windows Installer. In QGIS the tool is called "Catchment Area"

(see attached image). In SAGA GIS, the tool is called "Flow Accumulation" (see attached image).

#3 - 2017-08-22 09:21 AM - Mario Reyes

Mario Reyes wrote:

Giovanni Manghi wrote:

you are probably using an old version of Processing? See attached image, the name is catchment area. Please also note that now the only SAGA

version supported is LTR, so 2.3.*.

Sorry, I forgot to mention I'm using QGIS 2.18.11 with SAGA 2.3.2. I installed it using the Windows Installer. In QGIS the tool is called "Catchment
Area" (see attached image). In SAGA GIS, the tool is called "Flow Accumulation" (see attached image).

It seems the difference in names it has generated confussion for some users, although related to another tool ([[

https://gis.stackexchange.com/questions/243492/saga-grid-tools-not-found-on-qgis-2-14-15?rq=1]]

#4 - 2017-08-22 10:19 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Mario Reyes wrote:

Giovanni Manghi wrote:

you are probably using an old version of Processing? See attached image, the name is catchment area. Please also note that now the only SAGA

version supported is LTR, so 2.3.*.

Sorry, I forgot to mention I'm using QGIS 2.18.11 with SAGA 2.3.2. I installed it using the Windows Installer. In QGIS the tool is called "Catchment

Area" (see attached image). In SAGA GIS, the tool is called "Flow Accumulation" (see attached image).

this is on purpose, see:

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaNameDecorator.py#L108

in order to keep them equal to previous SAGA versions. If this is confusing then I think this must be discussed within the community, in the users and/or

developers mailing lists.

#5 - 2017-08-22 04:36 PM - Mario Reyes

Giovanni Manghi wrote:

Mario Reyes wrote:

Giovanni Manghi wrote:

you are probably using an old version of Processing? See attached image, the name is catchment area. Please also note that now the only SAGA

version supported is LTR, so 2.3.*.

Sorry, I forgot to mention I'm using QGIS 2.18.11 with SAGA 2.3.2. I installed it using the Windows Installer. In QGIS the tool is called "Catchment

Area" (see attached image). In SAGA GIS, the tool is called "Flow Accumulation" (see attached image).

this is on purpose, see:

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaNameDecorator.py#L108

in order to keep them equal to previous SAGA versions. If this is confusing then I think this must be discussed within the community, in the users

and/or developers mailing lists.
Thanks, now I know the equivalent names between SAGA and the Processing Toolbox. I think it could be confusing for someone who has used SAGA

before and tries to find the tools in QGIS. I'll check in the mailing and developers lists if there is some realted post.

Files

Screenshot_20170821_163153.png 178 KB 2017-08-21 Giovanni Manghi

catchment area.png 7.22 KB 2017-08-22 Mario Reyes

flow accumulation.PNG 15.4 KB 2017-08-22 Mario Reyes
